View Issue Details

IDProjectCategoryView StatusLast Update
0001237Multi Theft Auto : San AndreasGUI / Menus / Consolepublic2012-10-12 13:32
ReporterRansomAssigned Tokevuwk 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.3.2Fixed in Version1.3.2 
Summary0001237: Contents of client's console should be logged to a file
Description

Personally it drives me nuts... always losin information like weap ids i was using, models i placed, server loading cmds so I have to type them over... etc

TagsNo tags attached.

Relationships

child of 0003344 closed New Feature Requests Requested features tracker 

Activities

ChrML

2006-04-17 07:26

administrator   ~~0002911

It keeps up to 50 lines, and after that the first line written gets deleted and the new one you wrote inserted at the front. It's only purged on game exit. You want it to save the console history to a file?

Ransom

2006-04-17 10:41

administrator   ~~0002915

I like having it on hand to copy and paste commands or see data I entered awhile ago, which always ends up getting purged. It would be nice if the less important stuff like who killed who, timeouts, etc got deleted rather than "load blahblahblah" and "give weapon balbhalbh"... but really I'd like just having the entire history going on the console, saving to a log and purging maybe every 200 lines or something.

Talidan

2006-05-05 18:49

administrator   ~~0003022

I think this should be unlimited or at least extended - when in a server with 32 people your limit is reached very soon and you lose what you needed to see in the console. I think this should be addressed, looking at the plans for 128 players

ChrML

2006-05-06 09:10

administrator   ~~0003025

Uhm, are you talking about the arrow up/down history or the console text history?

Ransom

2006-05-06 20:02

administrator   ~~0003032

Last edited: 2006-05-06 20:03

I'm talking about the text that fills the F8 or ~ Console. I'm not sure what you mean by up/down history... you can scroll the chatbox?!

Talidan

2006-07-01 16:44

administrator   ~~0003274

yeah what is up/down history?

i was refering to what fills in the console too, if you have lots of players 50 lines just isnt enough

IJs

2007-01-20 18:14

administrator   ~~0003930

We could log it all to a file. The limit stays.

LooooP

2011-09-06 17:52

reporter   ~~0014734

Last edited: 2011-09-09 18:06

Please, change the target version to 1.1.1/1.1.2, it's crap copy a message while in a server with one hundred players (imagine with two hundred and thirty players as CIT), you don't have time to select the whole message and it gets deleted really fast.

arranTuna

2011-09-06 18:45

manager   ~~0014736

CTRL A, CTRL C. Then in Notepad: CTRL V

Ransom

2011-12-03 05:54

administrator   ~~0015320

late comment but GTFO arranTuna!

Dragon

2011-12-04 02:42

reporter   ~~0015329

in soviet russia you wait 5 years for tiny baby fix

Picard

2012-01-28 11:39

updater   ~~0015874

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=3760 )

kevuwk

2012-01-28 11:39

administrator   ~~0015875

a new log file will be created daily and will take the input and output of the console

LooooP

2012-04-26 02:21

reporter   ~~0016540

It's bugged, most of time it doesn't create a file with the console content

MTA:SA 1.3 r4010

LooooP

2012-10-02 17:58

reporter   ~~0017668

^ Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=4731

Issue History

Date Modified Username Field Change